Target version combo box corrupted
Status: Closed Start date: 2009-12-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

The combo box for setting version info shows the html form-tags instead of correct labels. Se image below.

 redmine_target_version.png 

I can still set the the target version by right-clicking the bug in the issues list.

The big problem is that whenever you update a bug, for example adding a comment, the target version will be deleted, since the the

combo isn't set to the correct one.

I first noticed this after my upgrade to r3126. My last checkout before that was r3110, in which it was working. Right now I use r3148.

I use ruby 1.8.7, mysql 14.14 and passenger 2.2.5

History

#1 - 2009-12-10 21:07 - Jean-Philippe Lang

I can not reproduce. Can you give the output of ruby script/about please (see SubmittingBugs)?

#2 - 2009-12-10 21:55 - Rickard Åberg

Right. Here it is:

/opt/redmine$ ruby script/about 

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.2/lib/active_record/connection_adapters/abstract/connection_speci

fication.rb:62:in `establish_connection': development database is not configured (ActiveRecord::AdapterNotSpec

ified)

    from /usr/lib/ruby/gems/1.8/gems/activerecord-2.3.2/lib/active_record/connection_adapters/abstract/connect

ion_specification.rb:55:in `establish_connection'

    from /usr/lib/ruby/gems/1.8/gems/rails-2.3.2/lib/initializer.rb:417:in `initialize_database'

    from /usr/lib/ruby/gems/1.8/gems/rails-2.3.2/lib/initializer.rb:141:in `process'

    from /usr/lib/ruby/gems/1.8/gems/rails-2.3.2/lib/initializer.rb:113:in `send'

    from /usr/lib/ruby/gems/1.8/gems/rails-2.3.2/lib/initializer.rb:113:in `run'

    from /opt/redmine/config/environment.rb:20

    from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from /usr/lib/ruby/gems/1.8/gems/rails-2.3.2/lib/commands/about.rb:1

    from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from script/about:4

 This doesn't look right of course. It looks the same when I do it in backup folders from older installations. Could something have happened with the

database setup during upgrade then? I have per-day snapshots of the database in my backup as well if you would like me to check something.

#3 - 2009-12-11 00:04 - Felix Schäfer

Rickard, if you have a look at the first line of the output, it says amongst other stuff:

development database is not configured

 You'll have to prepend the command with RAILS_ENV="production" if you only have a production database configured.

JPL, maybe that's worth mentioning on SubmittingBugs,

#4 - 2009-12-11 00:16 - Rickard Åberg
Should have figured as much. I only have the production database. I noticed the message but thought I had it working before without the variable set.

/opt/redmine# RAILS_ENV="production" ruby script/about

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.5

Rack version              1.0 bundled

Rails version             2.3.2

Active Record version     2.3.2

Action Pack version       2.3.2

Active Resource version   2.3.2

Action Mailer version     2.3.2

Active Support version    2.3.2

Application root          /opt/redmine

Environment               production

Database adapter          mysql

Database schema version   20091205124427

About your Redmine plugins

Redmine Graphs plugin   0.1.0

Embedded                0.0.1

#5 - 2009-12-11 15:04 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

It looks like you changed the required Rails version.

Current trunk requires Rails 2.3.4. You're running 2.3.2.

Fix it and it will work.

#6 - 2009-12-11 16:13 - Rickard Åberg

Thank you. I upgraded my rails installation and it's working. Sorry about your time spent.
